## python-msgspec 0.18.6

=== debian/changelog ===
python-msgspec (0.18.6-1) unstable; urgency=low

  * Initial release. (Closes: #1066818)

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 06 Jul 2024 17:09:48 +0200
