=== debian/control ===
Source: python-msgspec
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stein Magnus Jodal <jodal@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libpython3-all-dev,
               python3-all-dev:any,
               python3-setuptools,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Homepage: https://jcristharif.com/msgspec/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-msgspec
Vcs-Git: https://salsa.debian.org/python-team/packages/python-msgspec.git

Package: python3-msgspec
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python3-yaml,
          python3-tomli-w,
Description: Fast serialization and validation library
 A fast serialization and validation library, with builtin support for JSON,
 MessagePack, YAML, and TOML.
 .
  * High performance encoders/decoders for common protocols. The JSON and
    MessagePack implementations regularly benchmark as the fastest options for
    Python.
  * Support for a wide variety of Python types. Additional types may be
    supported through extensions.
  * Zero-cost schema validation using familiar Python type annotations. In
    benchmarks msgspec decodes and validates JSON faster than orjson can decode
    it alone.
  * A speedy Struct type for representing structured data. If you already use
    dataclasses or attrs, structs should feel familiar. However, they're 5-60x
    faster for common operations.
 .
 All of this is included in a lightweight library with no required
 dependencies.
