## python-msgspec 0.18.6+1

=== debian/changelog ===
python-msgspec (0.18.6+1-7ubuntu1) plucky; urgency=medium

  * Build with -O2 instead of -O3 on amd64 and ppc64el to work-around
    a segfault in the tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Nov 2024 12:35:21 +0100

python-msgspec (0.18.6+1-7) unstable; urgency=medium

  * Team Upload
  * [ee3f724] Rebuild patch queue from patch-queue branch
    Added patch:
    Build-Python-3.13-wheels-not-free-threaded.patch
    (Closes: #1081470)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Nov 2024 21:37:12 +0100

python-msgspec (0.18.6+1-6) unstable; urgency=medium

  * Team Upload
  * [3f9c741] d/control: Drop architectures s390x, ppc64 and sparc64
  * [1536799] d/salsa-ci.yml: Adding CI/CD configuration for Salsa
  * [fb98698] d/rules: Ignore tests/test_cpylint.py in tests
  * [b2fff12] autopkgtest: Also ignore tests/test_cpylint.py here
  * [0fb8d8e] d/s/lintian-overrides: Silent warning about source files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 07 Sep 2024 09:03:49 +0200

python-msgspec (0.18.6+1-5) unstable; urgency=medium

  * [70b3e61] d/control: Limit python3-msgspec to 64Bit arches

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 09 Aug 2024 20:04:53 +0200

python-msgspec (0.18.6+1-4) unstable; urgency=medium

  * [e3c51df] d/rules: Run override_dh_sphinxdoc only on --build=all

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 09 Aug 2024 08:55:09 +0200

python-msgspec (0.18.6+1-3) unstable; urgency=medium

  * [31c4f84] d/control: Also move python3-pytest to B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 08 Aug 2024 17:23:01 +0200

python-msgspec (0.18.6+1-2) unstable; urgency=medium

  * Team Upload
  * [dab460c] d/control: Move pybuild-plugin-pyproject to B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 08 Aug 2024 13:44:39 +0200

python-msgspec (0.18.6+1-1) unstable; urgency=medium

  * Team Upload
  * [bc03d42] d/gbp.conf: Add some more default data
  * [6076957] d/u/metadata: Add entry for Documentation
  * [562c2da] New upstream version 0.18.6+1
  * [d1ada29] d/control: Split B-D into additional B-D-Indep
  * [fc605cc] d/control: Bump Standards-Versions to 4.7.0
    No further changes needed.
  * [2fb0b60] d/control: Adjust data for python3-msgspec
    Small additions t the long description.
  * [dacabd5] d/control: Add new package python-msgspec-doc
  * [f259a70] d/control: Add additional B-D for build of -doc package
  * [1b1dcbc] d/watch: Switch to Git mode on GitHub
  * [91a5754] d/rules: Adjust and add build of -doc package
  * [0c96545] d/python-msgspec-doc.doc-base: Add new sequencer file
  * [7a2f767] d/js: Add JS files which not packaged
    Not all of the needed JS libraries are available in the archive, and
    using the node-* packages then would be overkill.
  * [a198f7a] Add patches from patch-queue branch
    Added patches:
    docs-Suggest-using-of-JS-packages-for-vega.patch
    docs-Use-inventary-from-packages.patch
  * [ae3a683] d/README.source: Add information about the source
  * [bbfc63d] d/copyright: Order licenses alphabetical
  * [01f46a6] d/copyright: Add missing license Public-Domain
  * [7b9098d] d/copyright: Add additional Copyright information
  * [329703e] autopkgtest: Add data for the upstream tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 06 Aug 2024 13:24:16 +0900
