=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/buildflags.mk

SPHINXOPTS := -E -N
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 ppc64el))
  export DEB_CFLAGS_MAINT_STRIP = -O3
  export DEB_CXXFLAGS_MAINT_STRIP = -O3
  export DEB_CFLAGS_MAINT_APPEND = -O2
  export DEB_CXXFLAGS_MAINT_APPEND = -O2
endif

export PYBUILD_NAME=msgspec
export PYBUILD_BEFORE_TEST=cp {dir}/msgspec/_core.c {build_dir}/msgspec
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/msgspec/_core.c
export PYBUILD_TEST_ARGS=--ignore=tests/test_cpylint.py

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf .mypy_cache .pytest_cache
	dh_clean

override_dh_sphinxdoc-indep:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "msgspec*dist-info" | head -n1)` \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs/source $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	    cp debian/js/* $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif
