## python-msgspec 0.19.0

=== debian/changelog ===
python-msgspec (0.19.0-2) unstable; urgency=medium

  * Team upload.
  * Move python3-setuptools to Build-Depends (closes: #1103362).

 -- Colin Watson <cjwatson@debian.org>  Wed, 23 Apr 2025 17:12:13 +0100

python-msgspec (0.19.0-1) unstable; urgency=medium

  * Team Upload
  * [0646a47] New upstream version 0.19.0
  * [d71716e] Rebuild patch queue from patch-queue branch
    Deleted patch (included upstream):
    Build-Python-3.13-wheels-not-free-threaded.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 31 Dec 2024 10:13:30 +0200
