=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,6 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 ppc64el))
-  export DEB_CFLAGS_MAINT_STRIP = -O3
-  export DEB_CXXFLAGS_MAINT_STRIP = -O3
-  export DEB_CFLAGS_MAINT_APPEND = -O2
-  export DEB_CXXFLAGS_MAINT_APPEND = -O2
-endif
 
 export PYBUILD_NAME=msgspec
 export PYBUILD_BEFORE_TEST=cp {dir}/msgspec/_core.c {build_dir}/msgspec
