## python-msgspec 0.20.0

=== debian/changelog ===
python-msgspec (0.20.0-2) unstable; urgency=medium

  * Team upload.
  * [57330fb] d/control: Migrate Testsuite into autopkgtest-pkg-python

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 Nov 2025 09:16:59 +0200

python-msgspec (0.20.0-1) unstable; urgency=medium

  * Team upload.
  * [0ccadef] d/watch: Convert to version 5
  * [bf38e67] New upstream version 0.20.0
  * [725364e] Rebuild patch queue from patch-queue branch
    Deleted patches (included upstream):
    py314-annotations-lint.patch
    py314-annotations-performance.patch
    py314-annotations.patch
    py314-getrefcount-tests.patch
  * [c25501a] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [6558139] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [d508ee4] d/control: Sort Build-Depends* alphabetical
  * [00283f3] d/control: Add new needed Build-Depends
  * [64f4e18] d/rules: Inject the usptream version while build time
  * [17b85d0] d/rules: Adjust preparation steps before test run
  * [251c6dd] d/rules: Also adjust build of -doc package
  * [ffae3e1] d/copyright: Update content and year data
  * [aedbcc5] autopkgtest: Adjust test configuration

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Nov 2025 12:17:14 +0200

python-msgspec (0.19.0-3) unstable; urgency=medium

  * Team upload.
  * Fix annotations support on 3.14 (closes: #1117910).
  * Relax all getrefcount tests to allow lower numbers (closes: #1117910).
  * Replace architecture allowlist with Build-Depends:
    architecture-is-64-bit, architecture-is-little-endian (closes:
    #1115274).

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Oct 2025 00:32:22 +0100
