=== debian/control ===
--- 
+++ 
@@ -5,25 +5,29 @@
 Uploaders:
  Stein Magnus Jodal <jodal@debian.org>,
 Build-Depends:
+ architecture-is-64-bit,
+ architecture-is-little-endian,
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  libpython3-all-dev,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-mypy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
+ python3-setuptools-scm,
 Build-Depends-Indep:
  furo <!nodoc>,
+ python-attr-doc <!nodoc>,
+ python3-doc <!nodoc>,
+ python3-myst-parser <!nodoc>,
+ python3-ipython <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-design <!nodoc>,
- python3-ipython <!nodoc>,
- python-attr-doc <!nodoc>,
- python3-doc <!nodoc>,
-Standards-Version: 4.7.0
-Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
+Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/jcrist/msgspec
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-msgspec
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-msgspec.git
@@ -55,7 +59,7 @@
  This package contains the documentation for python3-msgspec.
 
 Package: python3-msgspec
-Architecture: amd64 arm64 mips64el ppc64el riscv64 alpha hurd-amd64 loong64
+Architecture: any
 Depends:
  ${misc:Depends},
  ${python3:Depends},
